Bug 323496 - Random crash in Taskbar
Summary: Random crash in Taskbar
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-taskbar (show other bugs)
Version: git master
Platform: Archlinux Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-14 13:35 UTC by Bhushan Shah
Modified: 2013-09-02 00:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bhushan Shah 2013-08-14 13:35:09 UTC
Crash report is

Application: Plasma Desktop Shell (plasma-desktop), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xb54ad740 (LWP 582))]

Thread 3 (Thread 0xadaffb40 (LWP 604)):
#0  0xb777f424 in __kernel_vsyscall ()
#1  0xb6c476fb in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#2  0xb0f16ed2 in ?? () from /usr/lib/libQtScript.so.4
#3  0xb0f16f1f in ?? () from /usr/lib/libQtScript.so.4
#4  0xb6c43cf0 in start_thread () from /usr/lib/libpthread.so.0
#5  0xb5fe641e in clone () from /usr/lib/libc.so.6

Thread 2 (Thread 0xa57ffb40 (LWP 629)):
#0  0xb6c45cd8 in pthread_mutex_lock () from /usr/lib/libpthread.so.0
#1  0xb59ef800 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#2  0xb59ace6b in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0xb59ad3ca in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb59ad578 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb6dfd9af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb6dccec3 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb6dcd1e9 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb6cbbb1d in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb6dad354 in ?? () from /usr/lib/libQtCore.so.4
#10 0xb6cbe40f in ?? () from /usr/lib/libQtCore.so.4
#11 0xb6c43cf0 in start_thread () from /usr/lib/libpthread.so.0
#12 0xb5fe641e in clone () from /usr/lib/libc.so.6

Thread 1 (Thread 0xb54ad740 (LWP 582)):
[KCrash Handler]
#6  TaskManager::Task::isActive (this=0x0) at /home/bshah/kdesrc/kde/kde-workspace/libs/taskmanager/task.cpp:235
#7  0xae578390 in TaskManager::TasksModel::activeTaskId (this=this@entry=0x9f0baa0) at /home/bshah/kdesrc/kde/kde-workspace/libs/taskmanager/tasksmodel.cpp:182
#8  0xae57a100 in TaskManager::TasksModel::qt_static_metacall (_o=_o@entry=0x9f0baa0, _id=_id@entry=13, _a=_a@entry=0xbfc833d0, _c=QMetaObject::InvokeMetaMethod) at /home/bshah/kdesrc/build/kde/kde-workspace/libs/taskmanager/tasksmodel.moc:138
#9  0xae57a235 in qt_static_metacall (_a=0xbfc833d0, _id=13, _c=QMetaObject::InvokeMetaMethod, _o=0x9f0baa0) at /home/bshah/kdesrc/build/kde/kde-workspace/libs/taskmanager/tasksmodel.moc:183
#10 TaskManager::TasksModel::qt_metacall (this=0x9f0baa0, _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0xbfc833d0) at /home/bshah/kdesrc/build/kde/kde-workspace/libs/taskmanager/tasksmodel.moc:184
#11 0xb6dd4f25 in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#12 0xb0c05225 in ?? () from /usr/lib/libQtDeclarative.so.4
#13 0xb0c06c78 in ?? () from /usr/lib/libQtDeclarative.so.4
#14 0xb0c07754 in ?? () from /usr/lib/libQtDeclarative.so.4
#15 0xb0f95a82 in ?? () from /usr/lib/libQtScript.so.4
#16 0xb0e7e0a3 in ?? () from /usr/lib/libQtScript.so.4
#17 0xb0e5915c in ?? () from /usr/lib/libQtScript.so.4
#18 0xa7804e58 in ?? ()
#19 0xb0e14012 in ?? () from /usr/lib/libQtScript.so.4
#20 0xb0eac016 in ?? () from /usr/lib/libQtScript.so.4
#21 0xb0e7e107 in ?? () from /usr/lib/libQtScript.so.4
#22 0xb0f74c7a in QScriptValue::call(QScriptValue const&, QList<QScriptValue> const&) () from /usr/lib/libQtScript.so.4
#23 0xb0b661ca in ?? () from /usr/lib/libQtDeclarative.so.4
#24 0xb0b68865 in ?? () from /usr/lib/libQtDeclarative.so.4
#25 0xb0b68b5a in ?? () from /usr/lib/libQtDeclarative.so.4
#26 0xb0b68c9f in ?? () from /usr/lib/libQtDeclarative.so.4
#27 0xb0ba3cdf in ?? () from /usr/lib/libQtDeclarative.so.4
#28 0xb6dd4f25 in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#29 0xb6de33cd in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#30 0xadc0c793 in wheelMoved (_t1=0xbfc83c88, this=0xa4291b0) at /home/bshah/kdesrc/build/kde/kde-runtime/plasma/declarativeimports/qtextracomponents/mouseeventlistener.moc:403
#31 MouseEventListener::wheelEvent (this=0xa4291b0, we=0xbfc840f0) at /home/bshah/kdesrc/kde/kde-runtime/plasma/declarativeimports/qtextracomponents/mouseeventlistener.cpp:145
#32 0xb6911b38 in QGraphicsItem::sceneEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#33 0xb0af5d46 in QDeclarativeItem::sceneEvent(QEvent*) () from /usr/lib/libQtDeclarative.so.4
#34 0xb693b026 in ?? () from /usr/lib/libQtGui.so.4
#35 0xb6941d5d in QGraphicsScene::wheelEvent(QGraphicsSceneWheelEvent*) () from /usr/lib/libQtGui.so.4
#36 0xb69503ff in QGraphicsScene::event(QEvent*) () from /usr/lib/libQtGui.so.4
#37 0xb62ca9a4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#38 0xb62d13b3 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#39 0xb7512604 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#40 0xb6dce45a in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#41 0xb696b9b9 in QGraphicsView::wheelEvent(QWheelEvent*) () from /usr/lib/libQtGui.so.4
#42 0xb6323e4f in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#43 0xb672547c in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
#44 0xb67b3b88 in QAbstractScrollArea::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#45 0xb696aad7 in QGraphicsView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#46 0xb67b3e06 in ?? () from /usr/lib/libQtGui.so.4
#47 0xb6dce5ce in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#48 0xb62ca981 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#49 0xb62d25cb in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#50 0xb7512604 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#51 0xb6dce45a in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#52 0xb634d3e8 in ?? () from /usr/lib/libQtGui.so.4
#53 0xb6351a6a in ?? () from /usr/lib/libQtGui.so.4
#54 0xb634fb41 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#55 0xb637a364 in ?? () from /usr/lib/libQtGui.so.4
#56 0xb59ad10e in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#57 0xb59ad4b8 in ?? () from /usr/lib/libglib-2.0.so.0
#58 0xb59ad578 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#59 0xb6dfd98f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#60 0xb637a41e in ?? () from /usr/lib/libQtGui.so.4
#61 0xb6dccec3 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#62 0xb6dcd1e9 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#63 0xb6dd298e in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#64 0xb62c8e44 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#65 0xafac09e7 in kdemain (argc=1, argv=0x9e62ad8) at /home/bshah/kdesrc/kde/kde-workspace/plasma/desktop/shell/main.cpp:126
#66 0x0804f3ab in _start ()
Comment 1 Eike Hein 2013-08-14 16:35:41 UTC
Git commit 4f4290491b517ce0288aa9ea07c5885c985f6093 by Eike Hein.
Committed on 14/08/2013 at 16:32.
Pushed by hein into branch 'KDE/4.11'.

Fix rare race condition crash.

Plus surrounding code cleanup.

M  +15   -13   libs/taskmanager/tasksmodel.cpp
M  +2    -1    libs/taskmanager/tasksmodel.h

http://commits.kde.org/kde-workspace/4f4290491b517ce0288aa9ea07c5885c985f6093
Comment 2 Eike Hein 2013-09-02 00:22:13 UTC
Git commit bc8fd6144327eda483477815a9378b066290ea04 by Eike Hein.
Committed on 14/08/2013 at 16:32.
Pushed by hein into branch 'frameworks-scratch'.

Fix rare race condition crash.

Plus surrounding code cleanup.

M  +15   -13   libs/taskmanager/tasksmodel.cpp
M  +2    -1    libs/taskmanager/tasksmodel.h

http://commits.kde.org/kde-workspace/bc8fd6144327eda483477815a9378b066290ea04